#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-TermReadKey
Version		:	2.38
Release		:	17.0.10.rel%{?dist}
Summary		:	A perl module for simple terminal control
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Term::ReadKey

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
Term::ReadKey, provides ioctl control for terminals 
so the input modes can be changed (thus allowing reads of a single
character at a time), and also provides non-blocking reads of stdin, as well
as several other terminal related features, including retrieval/modification
of the screen size, and retrieval/modification of the control characters.
Installation requires MakeMaker 3.5 or higher (MakeMaker 3.7 is included
with perl 5.001, so now is a good time to upgrade if you haven't already.)
 

%prep
%setup -q -n %{sname}-%{version}

#---------------------------------------------------------
#building application
%build

export PERL_MM_USE_DEFAULT=1
%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
pushd %{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl/
find . -name *.so -exec chmod u+w,+x {} \;
popd

%files			
%defattr(-, root,root, -)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/Term/ReadKey.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/*.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
